package system

import (
	"kra/internal/biz/system"
)

// RegisterSystemInitializers 注册所有系统数据源初始化器
func RegisterSystemInitializers(uc *system.InitDBUsecase) {
	uc.RegisterInit(initOrderApi, NewInitApi())
	uc.RegisterInit(initOrderApiIgnore, NewInitApiIgnore())
	uc.RegisterInit(initOrderCasbin, NewInitCasbin())
	uc.RegisterInit(initOrderAuthority, NewInitAuthority())
	uc.RegisterInit(initOrderMenu, NewInitMenu())
	uc.RegisterInit(initOrderMenuAuthority, NewInitMenuAuthority())
	uc.RegisterInit(initOrderUser, NewInitUser())
	uc.RegisterInit(initOrderDict, NewInitDict())
	uc.RegisterInit(initOrderDictDetail, NewInitDictDetail())
	uc.RegisterInit(initOrderExcelTemplate, NewInitExcelTemplate())
}
